GET V1/Bills.{ext}/Payment?billId={billId}&pageIndex={pageIndex}&pageSize={pageSize}
If a Client/Partner makes a payment to a Bill, the same information is provided to us and is displayed under the Payment Details section
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| billId |
Bill Id. |
integer |
Required |
| pageIndex |
Page Index |
integer |
Default value is 0 |
| pageSize |
Page Size |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
Returns Virtual Bill Payment Details.
EMSResponseOfEMS.Bills.Entities.PaymentDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Bills.Entities.PaymentDetails |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "PaymentDetails",
"response": {
"paymentDetailList": [
{
"paymentAmount": 1.1,
"paymentType": "sample string 2",
"paymentNumber": "sample string 3",
"paymentDate": "sample string 4",
"paymentCurrency": "sample string 5",
"paymentMessage": "sample string 6",
"paymentCategory": "sample string 7"
},
{
"paymentAmount": 1.1,
"paymentType": "sample string 2",
"paymentNumber": "sample string 3",
"paymentDate": "sample string 4",
"paymentCurrency": "sample string 5",
"paymentMessage": "sample string 6",
"paymentCategory": "sample string 7"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.